Groovy 1.7.0

## org.codehaus.groovy.tools.shell
Class ParseStatus

    java.lang.Object
      org.codehaus.groovy.tools.shell.ParseStatus

    class ParseStatus
    extends Object

Container for parse status details.

Property Summary
`Throwable` | `cause`
`ParseCode` | `code`

Constructor Summary
`ParseStatus(ParseCode code, Throwable cause)`
`ParseStatus(ParseCode code)`
`ParseStatus(Throwable cause)`

Method Summary

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### cause

    final Throwable cause

### code

    final ParseCode code

Constructor Detail

### ParseStatus

    public ParseStatus(ParseCode code, Throwable cause)

### ParseStatus

    public ParseStatus(ParseCode code)

### ParseStatus

    public ParseStatus(Throwable cause)

Copyright © 2003-2009 The Codehaus. All rights reserved.